pkg_add(1): only one package for multiple python installations

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

pkg_add(1): only one package for multiple python installations

Fritjof Bornebusch
I recently run into the problem that I wanted to install py-axolotl for python3.6.
I have installed both 2.7 and 3.6, but pkg_add(1) only shows py-axolotl instead of
py-axolotl and py3-axolotl.

Is there a flag I'm missing or is this normal behaviour. I find it a bit strange,
since py-axolotl and others have the python3 flavour, but it is not shown.
However, when I want to install, e.g. vim(1), I see the different flavoured packages
and can chose.

--f.

Reply | Threaded
Open this post in threaded view
|

Re: pkg_add(1): only one package for multiple python installations

James Turner-5
On Sun, Nov 11, 2018 at 02:19:24AM +0100, Fritjof Bornebusch wrote:

> I recently run into the problem that I wanted to install py-axolotl for python3.6.
> I have installed both 2.7 and 3.6, but pkg_add(1) only shows py-axolotl instead of
> py-axolotl and py3-axolotl.
>
> Is there a flag I'm missing or is this normal behaviour. I find it a bit strange,
> since py-axolotl and others have the python3 flavour, but it is not shown.
> However, when I want to install, e.g. vim(1), I see the different flavoured packages
> and can chose.
>
> --f.
>

Running pkg_info -Q axolotl returns the following for me:

py-axolotl-0.1.42
py-axolotl-curve25519-0.4.1pl2
py3-axolotl-0.1.42
py3-axolotl-curve25519-0.4.1pl2

Does pkg_add py3-axolotl not work for you? Perhaps try pkg_add -i to
fore interactive mode?

--
James Turner